---
title: Element.getAttributeNodeNS()
slug: Web/API/Element/getAttributeNodeNS
tags:
  - API
  - DOM
  - Method
  - Reference
---
<div>{{ APIRef("DOM") }}</div>

<p>Returns the <code>Attr</code> node for the attribute with the given namespace and name.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval notranslate"><em>attributeNode</em> = element.getAttributeNodeNS(<em>namespace</em>, <em>nodeName</em>)
</pre>

<ul>
 <li><code>attributeNode</code> is the node for specified attribute.</li>
 <li><code>namespace</code> is a string specifying the namespace of the attribute.</li>
 <li><code>nodeName</code> is a string specifying the name of the attribute.</li>
</ul>

<p><span class="comment">== Example == TBD The example needs to be fixed pre&gt; // html: &lt;div id="top" /&gt; t = document.getElementById("top"); specialNode = t.getAttributeNodeNS( "<a class="external" href="http://www.mozilla.org/ns/specialspace" rel="freelink">http://www.mozilla.org/ns/specialspace</a>", "id"); // iNode.value = "full-top" &lt;/pre</span></p>

<h2 id="Notes">Notes</h2>

<p><code>getAttributeNodeNS</code> is more specific than <a href="getAttributeNode">getAttributeNode</a> in that it allows you to specify attributes that are part of a particular namespace. The corresponding setter method is <a href="en/DOM/element.setAttributeNodeNS">setAttributeNodeNS</a>.</p>

<p>{{ DOMAttributeMethods() }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG','#dom-element-getattributenodens','getAttributeNodeNS()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.getAttributeNodeNS")}}</p>
